#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	BigInt-Pari
Summary:	Math::BigInt::Pari - use Math::Pari for Math::BigInt routines
Summary(pl.UTF-8):	Math::BigInt::Pari - wykorzystanie Math::Pari do funkcji Math::BigInt
Name:		perl-Math-BigInt-Pari
Version:	1.17
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3409cef13c47ec2b6c94ad1ac0f7bce3
BuildRequires:	perl-Math-BigInt >= 1.997
BuildRequires:	perl-Math-Pari >= 2.010709
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.62
%endif
Requires:	perl-Math-BigInt >= 1.997
Requires:	perl-Math-Pari >= 2.010709
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::BigInt::Pari provides support for big integer calculations via
means of Math::Pari, an XS layer on top of the very fast PARI library.

%description -l pl.UTF-8
Math::BigInt::Pari dostarcza obsługę obliczeń na wielkich liczbach
całkowitych z wykorzystaniem funkcjonalności modułu Math::Pari -
warstwy XS będącej interfejsem do bardzo szybkiej biblioteki PARI.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorlib}/Math/BigInt/Pari.pm
%{_mandir}/man3/Math::BigInt::Pari.3pm*
%changelog
* Thu Dec 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Math-BigInt-Pari.git;a=log;h=master

* Thu Jun 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 6f295a3
- updated to 1.17

* Sat Jun 12 2010 Jan Rękorajski <baggins@pld-linux.org> 321084f
- rel 3

* Tue Nov 03 2009 Jan Rękorajski <baggins@pld-linux.org> a869f1f
- rel 2
- BigFloat is part of BigInt

* Tue Nov 03 2009 Jan Rękorajski <baggins@pld-linux.org> 6e61f3f
- 1.13
- updated BR/R

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 68095ec
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ef13eb6
- converted to UTF-8

* Wed Jun 01 2005 Jakub Bogusz <qboosh@pld-linux.org> 82d54d4
- removed obsolete test patch, updated deps, release 1

* Wed Jun 01 2005 Jakub Bogusz <qboosh@pld-linux.org> b339273
- obsolete

* Mon May 30 2005 petec <petec@pld-linux.org> ecd8bcb
- up to 1.11
- test patch probably unneeded

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> e1c02b0
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 75c0f0c
- fixed perl-devel BR

* Fri Apr 23 2004 ankry <ankry@pld-linux.org> 3cbd9b3
- license fixes, unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 36ca2c7
- ported to new bconds

* Sun Jun 29 2003 Jakub Bogusz <qboosh@pld-linux.org> 55c62ce
- new

